org.apache.ignite.internal.commandline

## Class GridConsoleAdapter

- java.lang.Object
- - org.apache.ignite.internal.commandline.GridConsoleAdapter

All Implemented Interfaces:
  GridConsole

    public class GridConsoleAdapter
    extends Object
    implements GridConsole

Default implementation of `GridConsole` like `Console` proxy.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `flush()` See `Console.flush()`.
`Console` `format(String fmt, Object... args)` See `Console.format(String, Object...)`.
`static @Nullable GridConsoleAdapter` `getInstance()`
`Console` `printf(String format, Object... args)` See `Console.printf(String, Object...)`.
`Reader` `reader()` See `Console.reader()`.
`String` `readLine()` See `Console.readLine()`.
`String` `readLine(String fmt, Object... args)` See `Console.readLine(String, Object...)`.
`char[]` `readPassword()` See `Console.readPassword()`.
`char[]` `readPassword(String fmt, Object... args)` See `Console.readPassword(String, Object...)`.
`PrintWriter` `writer()` See `Console.writer()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    @Nullable
    public static @Nullable GridConsoleAdapter getInstance()

#### writer

    public PrintWriter writer()

See `Console.writer()`.

Specified by:
  `writer` in interface `GridConsole`

#### reader

    public Reader reader()

See `Console.reader()`.

Specified by:
  `reader` in interface `GridConsole`

#### format

    public Console format(String fmt,
                          Object... args)

See `Console.format(String, Object...)`.

Specified by:
  `format` in interface `GridConsole`

#### printf

    public Console printf(String format,
                          Object... args)

See `Console.printf(String, Object...)`.

Specified by:
  `printf` in interface `GridConsole`

#### readLine

    public String readLine(String fmt,
                           Object... args)

See `Console.readLine(String, Object...)`.

Specified by:
  `readLine` in interface `GridConsole`

#### readLine

    public String readLine()

See `Console.readLine()`.

Specified by:
  `readLine` in interface `GridConsole`

#### readPassword

    public char[] readPassword(String fmt,
                               Object... args)

See `Console.readPassword(String, Object...)`.

Specified by:
  `readPassword` in interface `GridConsole`

#### readPassword

    public char[] readPassword()

See `Console.readPassword()`.

Specified by:
  `readPassword` in interface `GridConsole`

#### flush

    public void flush()

See `Console.flush()`.

Specified by:
  `flush` in interface `GridConsole`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020